WPSDocument.h File Reference
`#include <libwpd-stream/WPXStream.h>`

Go to the source code of this file.

## Classes

class | WPSDocument
| This class provides all the functions an application would need to parse Works documents. More...

## Macros

#define | WPSLIB

## Enumerations

enum | WPSConfidence { WPS_CONFIDENCE_NONE =0, WPS_CONFIDENCE_POOR, WPS_CONFIDENCE_LIKELY, WPS_CONFIDENCE_GOOD, WPS_CONFIDENCE_EXCELLENT }
enum | WPSResult { WPS_OK, WPS_FILE_ACCESS_ERROR, WPS_PARSE_ERROR, WPS_OLE_ERROR, WPS_UNKNOWN_ERROR }

## Macro Definition Documentation

#define WPSLIB

## Enumeration Type Documentation

enum WPSConfidence

Enumerator
WPS_CONFIDENCE_NONE |
WPS_CONFIDENCE_POOR |
WPS_CONFIDENCE_LIKELY |
WPS_CONFIDENCE_GOOD |
WPS_CONFIDENCE_EXCELLENT |

enum WPSResult

Enumerator
WPS_OK |
WPS_FILE_ACCESS_ERROR |
WPS_PARSE_ERROR |
WPS_OLE_ERROR |
WPS_UNKNOWN_ERROR |